<?php
// création du paramètre pour les réservations bloquées sur event
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_resblockevent'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_resblockevent', '0', 'Bloquage des réservations sur des événements.')");
}

// création du paramètre pour les emplois du temps visibles en réservation à distance
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_resprintedt'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_resprintedt', '0', 'Affichage des EDT en réservation à distance.')");
}

// création du paramètre pour l'avertissement sonore au sujet des retards
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_retards_bip'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_retards_bip', '0', 'Choix d''un avertissement sonore lors des inscriptions au sujet des retards.')");
}

// création du paramètre pour la passage anticipé à l'heure suivante pour les inscriptions
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_creneausuiv'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_creneausuiv', '0', 'Passage anticipé à l''heure suivante pour les inscriptions.')");
}

// création du paramètre pour inscription sur plusieurs créneaux de suite
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_multiinscrit'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_multiinscrit', '0', 'Option d''inscription sur plusieurs créneaux.')");
}

// création du paramètre pour boutons sortie et exclusion en seuls droits d'inscriptions
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_inscritbutton'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_inscritbutton', '1', 'Choix d''affichage des boutons de sortie et exclusion sur les droits non administrateurs.')");
}

// création de la colonne hor_name dans _freqres
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqres ADD hor_name VARCHAR ( 2 ) NOT NULL");
$full = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqres");
while($liste = mysqli_fetch_assoc($full)) {
	mysqli_query($bdd,"UPDATE ".$prefix."_freqres SET hor_name = '".substr($liste['code_freqres'],10,2)."' WHERE freqres_id = '".$liste['freqres_id']."'");
}

// //////////////////////

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.23' WHERE param_nom = 'version_bdd'");

?>